# $Revision: 1.27 $, $Date: 2007/01/29 18:21:32 $
# NOTE
# - mhash used only in RR/TSIG, so we mark it optional
#
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	DNS
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - resolver library to communicate with a DNS server
Summary(pl):	%{_pearname} - biblioteka resolvera uywana do komunikacji z serwerem DNS
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	5
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	1cc082bec28189847083e2c42c2d9b2d
URL:		http://pear.php.net/package/Net_DNS/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A resolver library used to communicate with a name server to perform
DNS queries, zone transfers, dynamic DNS updates, etc. Creates an
object hierarchy from a DNS server's response, which allows you to
view all of the information given by the DNS server. It bypasses the
system's resolver library and communicates directly with the server.

In PEAR status of this package is: %{_status}.

%description -l pl
Biblioteka resolvera jest uywana w komunikacji z serwerami nazw do
przygotowania zapyta DNS, transferw stref, aktualizacji dynamicznego
DNS, itd. Tworzy hierarchi obiektw z odpowiedzi serwera DNS, ktra
pozwala zobaczy wszystkie informacje dawane przez serwer DNS. To
omija systemowy resolver i komunikuje si bezporednio z serwerem.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
echo '%{name} can optionally use PHP extension "mhash"' >> install.log

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_DNS.spec,v $
Revision 1.27  2007/01/29 18:21:32  glen
- typo

Revision 1.26  2007/01/29 18:20:58  glen
- make mhash optional dep; rel 5

Revision 1.25  2006/11/26 14:11:43  glen
- rel 4: use php(extension) virtuals

Revision 1.24  2006/11/02 12:58:21  glen
- 1.0.0-stable; rel 3

Revision 1.23  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.22  2006/04/02 12:03:09  glen
- 1.0.0RC4

Revision 1.21  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.20  2005/10/05 21:02:58  glen
- typo

Revision 1.19  2005/10/05 20:31:04  glen
- rel .2

Revision 1.18  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.17  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.16  2005/04/09 19:20:04  adamg
- updated to 1.0.0b3

Revision 1.15  2005/03/26 19:08:51  adamg
- fixed License
- release 1

Revision 1.14  2004/10/24 18:31:00  paladine
- spelling fixes, uppercases, etc.

Revision 1.13  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.12  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.11  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.10  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.9  2003/06/11 06:55:28  adamg
- updated to 1.00b2

Revision 1.8  2003/05/28 08:58:43  adamg
- massive attack: added source0-md5

Revision 1.7  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/02/27 09:44:33  blues
- 1.00b1 - few bugfixes, few new features

Revision 1.5  2002/10/14 23:47:12  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.4  2002/09/15 10:43:19  blues
- fix in macros

Revision 1.3  2002/09/15 10:40:52  blues
- 0.03 (stable) - STBR

Revision 1.2  2002/08/15 17:12:40  blues
- 0.02 - new type of queries supported (still alpha class); STBR

Revision 1.1  2002/07/12 11:07:13  blues
- initial release
